<template>
	<div id="app">
		<div class="flex-layout">
			<div class="flex-layout-header">
				<page-header></page-header>
			</div>
			<div class="flex-layout-body">
				<div class="posA_full">
          <router-view></router-view>
        </div>
			</div>
			<!-- 告警滚动 -->
      <div class="" v-if="alarm_visible">
        <scroll-ad :datalist="list"></scroll-ad>
      </div>
		</div>
	</div>
</template>

<script>
import ScrollAd from './components/scrollAd'
import PageHeader from './components/PageHeader'
import Timeout from '@/assets/js/Timeout.js'
const SEARCH = window.location.search;
const DEV = {
  '1': 'electric_id'
  ,'2': 'electric_id'
  ,'3': 'motor_id'
  ,'4': 'water_id'
  ,'5': 'BattGroupId'
};
const DEVIDNAME = {
  '1001': '水冷负载1'
  ,'1002': '水冷负载2'
  ,'1003': '水冷负载3'
  ,'1004': '水冷负载4'
  ,'2001': '加载电机系统'
  ,'4001': '1号2号大功率整流电源A套电源'
  ,'4002': '1号2号大功率整流电源B套电源'
  ,'4003': '1号2号大功率整流电源C套电源'
  ,'4004': '1号2号大功率整流电源D套电源'
  ,'5001': '2号水冷装置'
  ,'5002': '3号水冷装置'
  ,'5003': '1号水冷装置'
  ,'6001': '3号大功率整流电源A机组电源'
  ,'6002': '3号大功率整流电源B机组电源'
  ,'1000004': '蓄电池组1#'
  ,'1000005': '蓄电池组2#'
  ,'1000006': '蓄电池组3#'
  ,'1000007': '蓄电池组4#'
};
export default {
	name: 'app',
	components: {
		PageHeader
		,ScrollAd
	}
	,data () {
    return {
      timer: new Timeout(),
      status: []
      ,list: []
      ,alarm_visible: false
    }
  }
  ,methods: {
    loop () {
      this.timer.start(() => {
        if (this.alarm_visible) {
          this.getAllRtAlarm();
        }
        this.timer.open();
      }, 1000);
    }
    // 查询所有告警
    ,getAllRtAlarm () {
      this.$axios({
				method: 'post'
				,url: 'AlarmAction!serchAllAlarm'
				,data: null
			}).then((res) => {
        res = JSON.parse(res.data.result);
        // console.log(res, 'rtalarm');
        let alarm_list = [];
        // 告警重置
        if (res.code) {
          let data = res.data;
          Object.keys(data).forEach((v) => {
            // console.log(v, i, a);
            let arr = data[v];
            if (arr.length) {
              arr.forEach((val) => {
                // 获取告警设备 通过ID
                const alarm_id = val[DEV[v]];
                let devname = DEVIDNAME[alarm_id];
                let alarm_starttime = val.alarm_starttime || val.alm_start_time;
                let alarm_name = val.alarm_name || val.alm_name;
                val['text'] = devname + ' - ' + alarm_starttime + ' - ' + alarm_name;
                alarm_list.push(val);
              });
            }
          });
        }
        // console.log(alarm_list, '====alarm_list');
        this.list = alarm_list;
      });
    }
  },
  mounted () {
    this.alarm_visible = SEARCH.indexOf('apptype') < 0;
    this.loop();
    this.$router.afterEach(() => {
      this.loop();
    });
  },
  destroyed () {
    this.timer.stop();
  }
}
</script>

<style>
	#app {
		height: 100vh;
		background: url('./assets/images/page_bg.png') no-repeat #061537;
		background-size: 100% 100%;
	}
</style>
